/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */

import java.sql.*;
import java.text.SimpleDateFormat;



public class Usuario {
	String usuario="";
	String contrasena="";
	String login="";
	String pass ="";
	String url = "";
	String login2="";
	String pass2 ="";
	String url2 = "";
	Ventana1 control = null;
	Connection con = null;

	Statement stmt = null;
	Statement stmt2 = null;
	ResultSet res = null;
	ResultSet res2 = null;
	
	public  Usuario(String name, String password, Ventana1 controlador, Conexion conexion){
		usuario = name;
		contrasena = password;
		control = controlador;
		con = conexion.con;
		
	}


	public boolean registrarse (){
		String query;
		String fecha="";
		String so = "";
		String correo = "";
		
		//recuperamos el valor
		
		so = control.jTextSo.getText();
		correo = control.jTextCorreo.getText();
		
		
		
		if (!so.equals("") && !correo.equals("")){
		
						SimpleDateFormat formato1 = new SimpleDateFormat("yyyyMMddHHmmss");
						fecha = formato1.format(System.currentTimeMillis());
						
						query =" insert into  `usuarios` values ( '"+usuario+"' , '"+contrasena+"' , '"+fecha+"', '"+correo+"','"+so+"' )" ;
							
						try {		
								stmt =(Statement) con.createStatement();
								stmt.executeUpdate(query);
				
								control.jLabel40.setText(Configuracion.messages.getString("msj_registrausuario"));
								return true;
							
						} catch (SQLException e) {
								e.printStackTrace();
						}
							
		}else{
			control.jLabel40.setText(Configuracion.messages.getString("msj_rellenarcampos"));
			return false;
			
			
		}
			
			
		return true;		
	}
	
	public boolean identificarse(){
		
		String query;
	
		
		query =" select count(*) from usuarios u " +
				" where u.username = '"+usuario+"' " +
				" AND u.password = '"+contrasena+"' " ;
		
		try {
			
			
			stmt =(Statement) con.createStatement();
			res = (ResultSet) stmt.executeQuery(query);
			
			
			while (res.next()){
		          
				String usuarioRegi = res.getString(1);
				
				if (usuarioRegi.equals("1")){
					control.jLabel40.setText(Configuracion.messages.getString("msj_identificausuario"));	
					almacenarUsuarioConfig(usuario,contrasena);
					return true;
					
				}else if (usuarioRegi.equals("0")){
							
							query =" select count(*) from usuarios u " +
									" where u.username = '"+usuario+"' ";
							
							stmt2 =(Statement) con.createStatement();
							res2 = (ResultSet) stmt2.executeQuery(query);
							
							while (res2.next()){
								
								usuarioRegi = res2.getString(1);
													
								if (usuarioRegi.equals("1")){
									control.jLabel40.setText(Configuracion.messages.getString("msj_passincorrecta"));
									control.jPasswordField.setText("");
									
								}else if (usuarioRegi.equals("0")){
										
										
									
									if (control.jLabelCorreo.isVisible()){
										if (registrarse()){
											return true;
										}else{
											return false;
										}
									}else{
											//	Los ponemos en solo Lectura
										control.jPasswordField.setEditable(false);
										control.jTextField40.setEditable(false);
										control.jLabel40.setText(Configuracion.messages.getString("msj_usuarionoexiste"));
									}
									
									control.jLabelCorreo.setVisible(true);
									control.jLabelSo.setVisible(true);
									control.jTextCorreo.setVisible(true);
									control.jTextSo.setVisible(true);
									control.jButtonLogout2.setVisible(true);
								}
							}
				}
			}
		
		} catch (SQLException e) {
			e.printStackTrace();
		}
		return false;
	
	}
	
	public void almacenarUsuarioConfig(String usu,String contra){
		Configuracion.propiedades.setProperty("usuario", usu);
		Configuracion.propiedades.setProperty("password", contra);
	}
	
	
	public boolean anadirTermino(String w_tabla, String radio ){
		
		//asignamos de nuevo el control por que la ventana ha sido modificada
	
		
		//Primero recogemos los valores 
			
		String query="";
		String fecha="";
		
		
		String termino = control.jTextField50.getText();
		String traduccion = control.jTextPane50.getText();	
		

				
		
		SimpleDateFormat formato1 = new SimpleDateFormat("yyyyMMddHHmmss");
		
		fecha = formato1.format(System.currentTimeMillis());
		
		
		query=" INSERT INTO `"+w_tabla+"` ( TERMINO , TRADUCCION, TIPO, USUARIO, FECHA ) VALUES ('"+termino+"', '"+traduccion+"',"+radio+",'"+usuario+"','"+fecha+"'  )";
			
		
			
			try {

				stmt = con.createStatement();
				stmt.executeUpdate(query);
				control.jLabelMensajeAnadir.setText(Configuracion.messages.getString("l_insertar"));
					
				}catch(Exception e){
					System.out.println("Error Insertando");
				}
		return true;
	}

}
